summaryrefslogtreecommitdiffstats
path: root/.local
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2019-09-24 07:12:43 -0400
committerLuke Smith <luke@lukesmith.xyz>2019-09-24 07:12:43 -0400
commitdc464e5bbbc38c4691294b0fd015a4256bb90ec2 (patch)
treeca0edbbbf7c82c4851438e5f4a7dffad0101e422 /.local
parentc7d5707e1eab3199986a7d9031d5b6e10ea40e5a (diff)
downloadeibhear-dc464e5bbbc38c4691294b0fd015a4256bb90ec2.tar.gz
eibhear-dc464e5bbbc38c4691294b0fd015a4256bb90ec2.tar.zst
eibhear-dc464e5bbbc38c4691294b0fd015a4256bb90ec2.zip
mpd-module-update with break
Diffstat (limited to '.local')
-rwxr-xr-x.local/bin/mpd-module-update7
1 files changed, 7 insertions, 0 deletions
diff --git a/.local/bin/mpd-module-update b/.local/bin/mpd-module-update
new file mode 100755
index 0000000..7518976
--- /dev/null
+++ b/.local/bin/mpd-module-update
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+# This loop will update the mpd statusbar module whenever a command changes the
+# music player's status. mpd must be running on X's start for this to work.
+while : ; do
+ mpc idle >/dev/null && pkill -RTMIN+11 dwmblocks || break
+done